﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "HTML 텍스트 사용하기";

            string text = "Hello <b>World !</b>";

            this.tChart.Panel.Pen                     = new ChartPen(Color.Black);
            this.tChart.Axes.Left.Title.Transparent   = false;
            this.tChart.Axes.Left.Title.TextFormat    = TextFormat.Html;
            this.tChart.Axes.Left.Title.Caption       = text;
            this.tChart.Axes.Right.Title.Transparent  = false;
            this.tChart.Axes.Right.Title.TextFormat   = TextFormat.Html;
            this.tChart.Axes.Right.Title.Caption      = text;
            this.tChart.Axes.Top.Title.Transparent    = false;
            this.tChart.Axes.Top.Title.TextFormat     = TextFormat.Html;
            this.tChart.Axes.Top.Title.Caption        = text;
            this.tChart.Axes.Bottom.Title.Transparent = false;
            this.tChart.Axes.Bottom.Title.TextFormat  = TextFormat.Html;
            this.tChart.Axes.Bottom.Title.Caption     = text;

            Bar bar = new Bar(this.tChart.Chart);

            bar.HorizAxis = HorizontalAxis.Both;
            bar.VertAxis  = VerticalAxis.Both;

            bar.FillSampleValues();
        }

        #endregion
    }
}